import { FrameworkConfig } from '../../shared/types';
export interface IJob {
    name?: string;
    scheduleCronTime: string;
}
export interface JobConfig {
    jobsPath: string;
}
export declare class JobsBoot {
    readonly config: JobConfig;
    readonly frameworkConfig: FrameworkConfig;
    constructor(config: JobConfig, frameworkConfig: FrameworkConfig);
    start(): Promise<void>;
    registerJob(jobController: any): Promise<void>;
}
